

## Izhikevich model driver for Octave

Izhikevich03_defs = "Izhikevich03_solver.m";

autoload ("RS", Izhikevich03_defs );
autoload ("RS_initial", Izhikevich03_defs );
autoload ("IB", Izhikevich03_defs );
autoload ("IB_initial", Izhikevich03_defs );
autoload ("CH", Izhikevich03_defs );
autoload ("CH_initial", Izhikevich03_defs );
autoload ("FS", Izhikevich03_defs );
autoload ("FS_initial", Izhikevich03_defs );
autoload ("LTS", Izhikevich03_defs );
autoload ("LTS_initial", Izhikevich03_defs );

RS_initial; 

t0 = 0.0;
t1 = 250.0;

y = RS_initial;
RS_ys = [[y.t,y.V]];
while (y.t < t1)
  y.t
  y = RS(y);
  RS_ys = [RS_ys; [y.t,y.V]];
endwhile

y = IB_initial;
IB_ys = [[y.t,y.V]];
while (y.t < t1)
  y.t
  y = IB(y);
  IB_ys = [IB_ys; [y.t,y.V]];
endwhile

y = CH_initial;
CH_ys = [[y.t,y.V]];
while (y.t < t1)
  y.t
  y = CH(y);
  CH_ys = [CH_ys; [y.t,y.V]];
endwhile

y = FS_initial;
FS_ys = [[y.t,y.V]];
while (y.t < t1)
  y.t
  y = FS(y);
  FS_ys = [FS_ys; [y.t,y.V]];
endwhile

y = LTS_initial;
LTS_ys = [[y.t,y.V]];
while (y.t < t1)
  y.t
  y = LTS(y);
  LTS_ys = [LTS_ys; [y.t,y.V]];
endwhile
